## org.eclipse.emf.codegen.ecore.genmodel
Enum GenProviderKind

    java.lang.Object
      java.lang.Enum<GenProviderKind>
          org.eclipse.emf.codegen.ecore.genmodel.GenProviderKind

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<GenProviderKind>, Enumerator

    public enum GenProviderKind

extends java.lang.Enum<GenProviderKind>
implements Enumerator

A representation of the literals of the enumeration 'Gen Provider Kind', and utility methods for working with them.

See Also:
  `GenModelPackage.getGenProviderKind()`

Enum Constant Summary
`NONE_LITERAL` The 'None' literal object
`SINGLETON_LITERAL` The 'Singleton' literal object
`STATEFUL_LITERAL` The 'Stateful' literal object

Field Summary
`static int` `NONE` The 'None' literal value
`static int` `SINGLETON` The 'Singleton' literal value
`static int` `STATEFUL` The 'Stateful' literal value
`static java.util.List<GenProviderKind>` `VALUES` A public read-only list of all the 'Gen Provider Kind' enumerators

Method Summary
`static GenProviderKind` `get(int value)` Returns the 'Gen Provider Kind' literal with the specified integer value
`static GenProviderKind` `get(java.lang.String literal)` Returns the 'Gen Provider Kind' literal with the specified literal value
`static GenProviderKind` `getByName(java.lang.String name)` Returns the 'Gen Provider Kind' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static GenProviderKind` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static GenProviderKind[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SINGLETON_LITERAL

    public static final GenProviderKind SINGLETON_LITERAL

  The 'Singleton' literal object.

  If the meaning of 'SINGLETON' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SINGLETON`

### STATEFUL_LITERAL

    public static final GenProviderKind STATEFUL_LITERAL

  The 'Stateful' literal object.

  If the meaning of 'STATEFUL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `STATEFUL`

### NONE_LITERAL

    public static final GenProviderKind NONE_LITERAL

  The 'None' literal object.

  If the meaning of 'NONE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NONE`

Field Detail

### SINGLETON

    public static final int SINGLETON

  The 'Singleton' literal value.

  See Also:
    `SINGLETON_LITERAL`, Constant Field Values

### STATEFUL

    public static final int STATEFUL

  The 'Stateful' literal value.

  See Also:
    `STATEFUL_LITERAL`, Constant Field Values

### NONE

    public static final int NONE

  The 'None' literal value.

  See Also:
    `NONE_LITERAL`, Constant Field Values

### VALUES

    public static final java.util.List<GenProviderKind> VALUES

  A public read-only list of all the 'Gen Provider Kind' enumerators.

Method Detail

### values

    public static final GenProviderKind[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(GenProviderKind c : GenProviderKind.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static GenProviderKind valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static GenProviderKind get(java.lang.String literal)

  Returns the 'Gen Provider Kind' literal with the specified literal value.

### getByName

    public static GenProviderKind getByName(java.lang.String name)

  Returns the 'Gen Provider Kind' literal with the specified name.

### get

    public static GenProviderKind get(int value)

  Returns the 'Gen Provider Kind' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `Enumerator`
  Returns:
    the value.

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Enumerator`
  Returns:
    the name.

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `Enumerator`
  Returns:
    the literal.

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<GenProviderKind>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.